<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="text" encoding="utf-8" indent="yes"/>
  <xsl:include href="incl.xsl"/>
  <xsl:include href="key.xsl"/>
  <xsl:include href="format.xsl"/>
  <xsl:include href="number.xsl"/>
  <xsl:include href="xpath.xsl"/>

  <xsl:template match="/data">

    <xsl:comment> should be OK1..OK22 </xsl:comment>

    <xsl:apply-templates select="group"/>

    <xsl:variable name="var">
      <xsl:value-of select="normalize-space(group2/outer)"/>
    </xsl:variable>

    <xsl:text>&#010;</xsl:text>

    <xsl:value-of select="substring-before($var,' ')"/>
    <xsl:text>&#010;</xsl:text>
    <xsl:value-of select="substring-after($var,' ')"/>

    <xsl:call-template name="alone"/>

    <xsl:text>&#010;</xsl:text>

    <xsl:text>OK8</xsl:text>

    <xsl:call-template name="param">
      <xsl:with-param name="par">OK9</xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="param"/>

    <xsl:text>&#010;</xsl:text>

    <xsl:apply-templates select="group3"/>

    <xsl:text>&#010;</xsl:text>

    <!-- xsl:key & key() -->
    <xsl:apply-templates select="key-test/item" mode="key"/>

    <!-- format & xsl:decimal-format -->
    <xsl:apply-templates select="format-test/item" mode="format"/>

    <!-- xsl:number -->
    <xsl:apply-templates select="number-test/item"/>
    <xsl:apply-templates select="number-test//name"/>

    <!-- sum() -->
    <xsl:apply-templates select="sum-test"/>

    <!-- axes -->
    <xsl:apply-templates select="format-test" mode="axes"/>

    <xsl:text>sorting (should be 1..10): </xsl:text>
    <xsl:call-template name="sorting"/>

    <xsl:text>indent (should be indented): </xsl:text>
    <xsl:text>&#010;</xsl:text>
    <foo>
      <zoo>indented</zoo>
    </foo>

    <xsl:text>&#010;</xsl:text>

  </xsl:template>

  <xsl:template match="group">
    <xsl:text>&#010;</xsl:text>
    <xsl:value-of select="item"/>
    <xsl:text>&#010;</xsl:text>
    <xsl:for-each select="item">
      <xsl:if test="position()=2">
	<xsl:value-of select="."/>
      </xsl:if>
    </xsl:for-each>
    <xsl:text>&#010;</xsl:text>
    <xsl:value-of select="@attr"/>
    <xsl:text>&#010;</xsl:text>
    <xsl:value-of select="document('incl.xml')/item"/>
  </xsl:template>

  <xsl:template name="param">
    <xsl:param name="par">
      OK10

    </xsl:param>
    <xsl:text>&#010;</xsl:text>
    <xsl:value-of select="normalize-space($par)"/>
  </xsl:template>

  <xsl:template match="group3">
    <xsl:value-of select="translate(item1,'HU5x','OK1t')"/>
    <xsl:choose>
      <xsl:when test="contains(item2,'Sablot')">
	<xsl:text>&#010;</xsl:text>
	<xsl:text>OK12</xsl:text>
      </xsl:when>
      <xsl:otherwise>
	FAILED12
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="sorting">

    <xsl:for-each select="sort-test/name">
      <xsl:sort select="." lang="en" order="ascending"/>
      <xsl:value-of select="@no"/>
      <xsl:text> </xsl:text>
    </xsl:for-each>

    <xsl:text>&#010;</xsl:text>

  </xsl:template>

</xsl:stylesheet>








